# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ConfigurationItem Class Reference

Representation of STEP entity ConfigurationItem
.

`#include <StepRepr_ConfigurationItem.hxx>`

## Public Member Functions

Standard_EXPORT | StepRepr_ConfigurationItem ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepRepr_ProductConcept)&aItemConcept, const Standard_Boolean hasPurpose, const Handle(TCollection_HAsciiString)&aPurpose)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
| Returns field Id .
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&Id)
| Set field Id .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_StepRepr_ProductConcept | ItemConcept () const
| Returns field ItemConcept .
Standard_EXPORT void | SetItemConcept (const Handle(StepRepr_ProductConcept)&ItemConcept)
| Set field ItemConcept .
Standard_EXPORT Handle_TCollection_HAsciiString | Purpose () const
| Returns field Purpose .
Standard_EXPORT void | SetPurpose (const Handle(TCollection_HAsciiString)&Purpose)
| Set field Purpose .
Standard_EXPORT Standard_Boolean | HasPurpose () const
| Returns True if optional field Purpose is defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theId
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepRepr_ProductConcept | theItemConcept
Handle_TCollection_HAsciiString | thePurpose
Standard_Boolean | defDescription
Standard_Boolean | defPurpose

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ConfigurationItem::StepRepr_ConfigurationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_ConfigurationItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepRepr_ConfigurationItem::HasDescription | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepRepr_ConfigurationItem::HasPurpose | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::Id | ( |  | ) | const

Standard_EXPORT void StepRepr_ConfigurationItem::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepRepr_ProductConcept)& | aItemConcept,
|  | const Standard_Boolean | hasPurpose,
|  | const Handle(TCollection_HAsciiString)& | aPurpose
| ) |

Standard_EXPORT Handle_StepRepr_ProductConcept StepRepr_ConfigurationItem::ItemConcept | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::Name | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::Purpose | ( |  | ) | const

Standard_EXPORT void StepRepr_ConfigurationItem::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepRepr_ConfigurationItem::SetId | ( | const Handle(TCollection_HAsciiString)& | Id | ) |

Standard_EXPORT void StepRepr_ConfigurationItem::SetItemConcept | ( | const Handle(StepRepr_ProductConcept)& | ItemConcept | ) |

Standard_EXPORT void StepRepr_ConfigurationItem::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepRepr_ConfigurationItem::SetPurpose | ( | const Handle(TCollection_HAsciiString)& | Purpose | ) |

## Field Documentation

Standard_Boolean StepRepr_ConfigurationItem::defDescription `[private]`

Standard_Boolean StepRepr_ConfigurationItem::defPurpose `[private]`

Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::theDescription `[private]`

Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::theId `[private]`

Handle_StepRepr_ProductConcept StepRepr_ConfigurationItem::theItemConcept `[private]`

Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::theName `[private]`

Handle_TCollection_HAsciiString StepRepr_ConfigurationItem::thePurpose `[private]`

The documentation for this class was generated from the following file:

- StepRepr_ConfigurationItem.hxx